package com.hw.wms.service;

import java.util.List;
import com.hw.wms.domain.WmsMove;

/**
 * 移库合库记录Service接口
 * 
 * @author xins
 * @date 2024-01-09
 */
public interface IWmsMoveService 
{
    /**
     * 查询移库合库记录
     * 
     * @param moveId 移库合库记录主键
     * @return 移库合库记录
     */
    public WmsMove selectWmsMoveByMoveId(Long moveId);

    /**
     * 查询移库合库记录列表
     * 
     * @param wmsMove 移库合库记录
     * @return 移库合库记录集合
     */
    public List<WmsMove> selectWmsMoveList(WmsMove wmsMove);

    /**
     * 新增移库合库记录
     * 
     * @param wmsMove 移库合库记录
     * @return 结果
     */
    public int insertWmsMove(WmsMove wmsMove);

    /**
     * 修改移库合库记录
     * 
     * @param wmsMove 移库合库记录
     * @return 结果
     */
    public int updateWmsMove(WmsMove wmsMove);

    /**
     * 批量删除移库合库记录
     * 
     * @param moveIds 需要删除的移库合库记录主键集合
     * @return 结果
     */
    public int deleteWmsMoveByMoveIds(Long[] moveIds);

    /**
     * 删除移库合库记录信息
     * 
     * @param moveId 移库合库记录主键
     * @return 结果
     */
    public int deleteWmsMoveByMoveId(Long moveId);
}
